\documentclass[10pt]{article}
\usepackage[usenames]{color} %used for font color
\usepackage{amssymb} %maths
\usepackage{amsmath} %maths
\usepackage[utf8]{inputenc} %useful to type directly diacritic characters
\begin{document}
\begin{align*} 
y(t) &= x_0(t) + x_1(t)
\\
\\
x_0(t) &= \sin{(\omega_c t)} \cos{\Big(d \sin{(\omega_m t)}\Big)}
\\
x_1(t) &= \cos{(\omega_c t)} \sin{\Big(d \sin{(\omega_m t)}\Big)}
\end{align*}
\end{document}